import { Meta, Canvas, Source, Primary, Controls } from "@storybook/addon-docs";

import * as stories from "./form-field.stories";

<Meta of={stories} />

```ts
import { FormFieldModule } from "@bitwarden/components";
```

# Field

<Primary />
<Controls />

## Stories

### Default

<Canvas of={stories.Default} />

### Required

<Canvas of={stories.Required} />

### Hint

<Canvas of={stories.Hint} />

### Disabled

<Canvas of={stories.Disabled} />

### Readonly

<Canvas of={stories.Readonly} />

### Input Group

<Canvas of={stories.InputGroup} />

### Button Input Group

<Canvas of={stories.ButtonInputGroup} />

### Disabled Button Input Group

<Canvas of={stories.DisabledButtonInputGroup} />

### Select

<Canvas of={stories.Select} />

### Advanced Select

<Canvas of={stories.AdvancedSelect} />

### Textarea

<Canvas of={stories.Textarea} />
